#!/bin/bash
#TRO69_INTERFACE
#TABLE

while :
do

	LOCAL_IP=$(ip addr show dev brtr069 | grep 'inet ' | awk '{print $2}')
	GATEWAY=$(subnetcalc $LOCAL_IP -n | grep "Host Range" | awk '{print $5}')
	ROUTE_TXT="default via $GATEWAY dev $TRO69_INTERFACE table $TABLE" 
	echo "$ROUTE_TXT"

	bash -c "ip route replace $ROUTE_TXT || ip route add $ROUTE_TXT"

	sleep 60

done
